# $Revision: 1.23 $, $Date: 2006/04/05 14:10:38 $
#
# Conditional build:
%bcond_with	gimp	# build GIMP (1.2.x only) plugin
#
Summary:	GUI FRONT end for autotrace that extracts outLINE from images
Summary(pl):	Graficzny interfejs do autotrace wycigajcego obrysy z obrazkw
Name:		frontline
Version:	0.5.4
Release:	12
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/autotrace/%{name}-%{version}.tar.gz
# Source0-md5:	5fc2c3459b153dbc2b3138c1133f927e
Patch0:		%{name}-shared.patch
Patch1:		%{name}-desktop.patch
URL:		http://autotrace.sourceforge.net/frontline/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	autotrace-devel >= 0.31.1
BuildRequires:	gettext-devel
%{?with_gimp:BuildRequires:	gimp-devel >= 1:1.2.1}
%{?with_gimp:BuildRequires:	gimp-devel < 1.3}
BuildRequires:	gnome-libs-devel >= 1.4.0
BuildRequires:	imlib-devel >= 1.8.2
BuildRequires:	libart_lgpl >= 2.3.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gimp}
%define		gimpplugindir	%(gimptool --gimpplugindir)
%endif

%description
Frontline provides a GTK+/GNOME based GUI front end for autotrace
(http://autotrace.sourceforge.net/). This package contains the
`frontline' command, which runs as a stand alone program. It will work
well with GNOME desktop and nautilus.

%description -l pl
Frontline udostpnia oparty na GTK+/GNOME graficzny interfejs do
autotrace (http://autotrace.sourceforge.net/). Ten pakiet zawiera
polecenie "frontline", dziaajce jako samodzielny program. Dziaa
dobrze z pulpitem GNOME i nautilusem.

%package libs
Summary:	Frontline shared libraries
Summary(pl):	Biblioteki wspdzielone Frontline
Group:		X11/Libraries

%description libs
This package contains Frontline shared libraries, used by all versions
of Frontline GUI.

%description libs -l pl
Ten program zawiera biblioteki wspdzielone Frontline, uywane przez
wszystkie wersje interfejsu Frontline.

%package devel
Summary:	Frontline development files
Summary(pl):	Pliki dla programistw uywajcych Frontline
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Frontline development files.

%description devel -l pl
Pliki dla programistw uywajcych Frontline.

%package static
Summary:	Frontline static libraries
Summary(pl):	Biblioteki statyczne Frontline
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Frontline static libraries.

%description static -l pl
Biblioteki statyczne Frontline.

%package -n gimp-plugin-frontline
Summary:	GIMP Frontline plugin
Summary(pl):	Wtyczka Frontline dla GIMPa
Group:		X11/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description -n gimp-plugin-frontline
GIMP frontline plugin - you can launch frontline from the GIMP menu.

%description -n gimp-plugin-frontline -l pl
Wtyczka frontline dla GIMPa - pozwala na uruchomienie frontline z menu
GIMPa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{!?with_gimp:echo 'AC_DEFUN([AM_PATH_GIMP],[$3])' >> acinclude.m4}
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Graphicsdir=%{_desktopdir} \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

for f in CHANGES README TODO ; do
	mv -f gundo/$f ${f}.gundo
done

rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/frontline

%{_desktopdir}/*.desktop

%files libs -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO {CHANGES,README,TODO}.gundo
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_pixmapsdir}/*.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/frontline-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/frontline
%{_includedir}/gundo
%{_aclocaldir}/frontline.m4
%{_pkgconfigdir}/frontline.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%if %{with gimp}
%files -n gimp-plugin-frontline
%defattr(644,root,root,755)
%attr(755,root,root) %{gimpplugindir}/plug-ins/trace
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: frontline.spec,v $
Revision 1.23  2006/04/05 14:10:38  hawk
- release 12 (rebuild with new ImageMagick)

Revision 1.22  2005/10/05 12:43:12  arekm
- rel 11

Revision 1.21  2005/10/02 20:03:40  arekm
- rel 10

Revision 1.20  2005/06/13 21:46:49  freetz
- removed obsoleted GNOME mime-info stuff, rel.9

Revision 1.19  2004/12/10 23:25:45  ankry
- rel. 8

Revision 1.18  2004/07/16 08:25:28  ankry
- added -desktop patch, rel. 7

Revision 1.17  2004/06/02 23:27:48  qboosh
- switched to vfolders, .so perms, strict internal deps
- release 6 to rebuild w/o bogus deps

Revision 1.16  2004/03/19 16:46:14  grzegol
- added epoch to gimp requires

Revision 1.15  2004/01/25 21:51:06  undefine
- release 5 to rebuild with new libart_lgpl

Revision 1.14  2003/12/06 10:42:51  qboosh
- build without gimp by default (supports only 1.2.x)
- release 4 (Ac)

Revision 1.13  2003/10/04 00:24:24  qboosh
- new bconds, BR: pkgconfig, release 3

Revision 1.12  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.11  2003/08/18 08:08:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/08/02 00:29:08  qboosh
- added gettextize

Revision 1.9  2003/08/01 21:13:06  qboosh
- s/gimp-config/gimptool/

Revision 1.8  2003/06/19 22:43:39  qboosh
- typo

Revision 1.7  2003/05/28 12:58:57  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:47:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/07 20:38:31  qboosh
- added _without_gimp bcond (frontline is not ready for gimp 1.3)

Revision 1.4  2003/04/08 10:33:14  qboosh
- use http for sources from sourceforge

Revision 1.3  2003/02/17 23:26:20  qboosh
- autodetect gimp plugin dir; release 2

Revision 1.2  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.1  2002/12/18 23:58:51  qboosh
- new; shared patch to build shared library (for app, plugin and development)
